Package org.springframework.cglib.beans

# Class FixedKeySet

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractSet
org.springframework.cglib.beans.FixedKeySet

All Implemented Interfaces:
  `Iterable`, `Collection`, `Set`

public class FixedKeySet extends AbstractSet

## Constructor Summary

Constructors
Constructor
Description
`FixedKeySet(String[] keys)`

## Method Summary

Modifier and Type
Method
Description
`Iterator`
`iterator()`
`int`
`size()`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, spliterator, toArray, toArray`

## Constructor Details

### FixedKeySet

public FixedKeySet(String[] keys)

## Method Details

### iterator

public Iterator iterator()

Specified by:
  `iterator` in interface `Collection`
Specified by:
  `iterator` in interface `Iterable`
Specified by:
  `iterator` in interface `Set`
Specified by:
  `iterator` in class `AbstractCollection`

### size

public int size()

Specified by:
  `size` in interface `Collection`
Specified by:
  `size` in interface `Set`
Specified by:
  `size` in class `AbstractCollection`